--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: The request failed, meaning the remote HTTP server returned a code other than success, unauthorized, or redirect.
- !ruby/struct:SM::Flow::P 
  body: "The exception message attempts to extract the error from the XML, using format returned by Rails: &lt;errors&gt;&lt;error&gt;some message&lt;/error&gt;&lt;/errors&gt;"
- !ruby/struct:SM::Flow::P 
  body: You can get the status code by e.http_code, or see anything about the response via e.response. For example, the entire result body (which is probably an HTML error page) is e.response.body.
constants: []

full_name: RestClient::RequestFailed
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: message
- !ruby/object:RI::MethodSummary 
  name: to_s
name: RequestFailed
superclass: ExceptionWithResponse
